Get a customer deletion status
POST /v2/compliance/customers/deletion/status
Validates and retrieves the status of a customer deletion request. You can check whether a deletion request has been processed and find out the current status of the deletion.
Security
| Name | In | Description |
|---|---|---|
Authorization | header | The Authorization header with the bearer token acquired during authentication. |
Request
| Field | Type | Required | Description |
|---|---|---|---|
identifiers | Array(string) | Array of customer identifiers to validate. | |
identifier_type | string | Type of identifier: 'email' (default) or 'provider_uid'. |
Request examples
- cURL
- Java
- Python
- Go
- Node.js
curl --request POST \
--url https://connect.instacart.com/v2/compliance/customers/deletion/status \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"identifiers": [
"string"
],
"identifier_type": "email"
}'
HttpResponse<String> response = Unirest.post("https://connect.instacart.com/v2/compliance/customers/deletion/status")
.header("Accept", "application/json")
.header("Content-Type", "application/json")
.header("Authorization", "Bearer <token>")
.body("{\n \"identifiers\": [\n \"string\"\n ],\n \"identifier_type\": \"email\"\n}")
.asString();
import http.client
conn = http.client.HTTPSConnection("connect.instacart.com")
payload = "{\n \"identifiers\": [\n \"string\"\n ],\n \"identifier_type\": \"email\"\n}"
headers = {
'Accept': "application/json",
'Content-Type': "application/json",
'Authorization': "Bearer <token>"
}
conn.request("POST", "/v2/compliance/customers/deletion/status", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://connect.instacart.com/v2/compliance/customers/deletion/status"
payload := strings.NewReader("{\n \"identifiers\": [\n \"string\"\n ],\n \"identifier_type\": \"email\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Accept", "application/json")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
const http = require('https');
const options = {
method: 'POST',
hostname: 'connect.instacart.com',
port: null,
path: '/v2/compliance/customers/deletion/status',
headers: {
Accept: 'application/json',
'Content-Type': 'application/json',
Authorization: 'Bearer <token>'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({identifiers: ['string'], identifier_type: 'email'}));
req.end();
Response
| Field | Type | Required | Description |
|---|---|---|---|
results | Array(undefined) | Array of deletion status results for each identifier. | |
summary | Hash | Summary statistics including total, completed, and pending counts. |
Response examples
200 Success
200Customer deletion status retrieved successfully
{
"results": [
{
"identifier": "test1@user.com",
"status": "pending"
},
{
"identifier": "test2@user.com",
"status": "pending"
},
{
"identifier": "test3@user.com",
"status": "completed"
}
],
"summary": {
"total": 3,
"completed": 1,
"pending": 2
}
}
4XX Errors
Error responses return either a single error or multiple errors.
| HTTP Code | Cause | Error Message | Error Code | Error Meta |
|---|---|---|---|---|
400 | Invalid request parameters* | "There were issues with your request" | 9999 | Not applicable |
400 | Feature not enabled | "Feature not enabled for this client" | 1001 | {"key":"feature_flag"} |